package com.example.myapplication.database.room.repository.online

import androidx.paging.PagingData
import com.example.myapplication.database.room.model.bike.Bike
import com.example.myapplication.database.room.model.bike.BikeWithItems
import kotlinx.coroutines.flow.Flow

interface BikeRepository {
    fun getAllBikes(): Flow<PagingData<Bike>>
    suspend fun getBike(uid: Int): BikeWithItems
    suspend fun insertBike(bike: Bike)
    suspend fun updateBike(bike: Bike)
    suspend fun deleteBike(bike: Bike)
}